=== debian/control ===
Source: ros-one-canopen-chain-node
Section: misc
Priority: optional
Maintainer: Mathias Lüdtke <mathias.luedtke@ipa.fraunhofer.de>
Build-Depends: debhelper (>= 9.0.0), libboost-dev, libboost-filesystem-dev, ros-one-canopen-master, ros-one-catkin, ros-one-diagnostic-updater, ros-one-message-generation, ros-one-pluginlib, ros-one-rosconsole-bridge, ros-one-roscpp, ros-one-roslib, ros-one-socketcan-interface, ros-one-std-msgs, ros-one-std-srvs
Homepage: http://wiki.ros.org/canopen_chain_node
Standards-Version: 3.9.2

Package: ros-one-canopen-chain-node
Architecture: any
Depends: ${shlibs:Depends}, ${misc:Depends}, libboost-dev, libboost-filesystem-dev, ros-one-canopen-master, ros-one-diagnostic-updater, ros-one-message-runtime, ros-one-pluginlib, ros-one-rosconsole-bridge, ros-one-roscpp, ros-one-roslib, ros-one-socketcan-interface, ros-one-std-msgs, ros-one-std-srvs
Description: Base implementation for CANopen chains node with support for management services and diagnostics
