## ros-one-canopen-chain-node 0.8.5-21jammy.20260220.2220

=== debian/changelog ===
ros-one-canopen-chain-node (0.8.5-21jammy.20260220.2220) UNRELEASED; urgency=medium

  * Append timestamp when binarydeb was built.

 -- Mathias Lüdtke <mathias.luedtke@ipa.fraunhofer.de>  Fri, 20 Feb 2026 22:20:41 +0000
