## ros-one-canopen-chain-node 0.8.5-21noble.20260220.2232

=== debian/changelog ===
ros-one-canopen-chain-node (0.8.5-21noble.20260220.2232) UNRELEASED; urgency=medium

  * Append timestamp when binarydeb was built.

 -- Mathias Lüdtke <mathias.luedtke@ipa.fraunhofer.de>  Fri, 20 Feb 2026 22:32:13 +0000
